package com.tutego.insel.pattern.oberserver;

import java.util.*;

class JokeListener implements Observer
{
  final private String name;

  JokeListener( String name )
  {
    this.name = name;
  }

  public void update( Observable o, Object arg )
  {
    System.out.println( name + " lacht über: \"" + arg + "\"" );
  }
}
